
package cn.orionsec.ops.runner;

import cn.orionsec.kit.lang.utils.Threads;
import cn.orionsec.kit.lang.utils.time.Dates;
import cn.orionsec.ops.service.api.SystemService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Slf4j
@Component
@Order(3200)
public class SystemSpaceAnalysisRunner implements CommandLineRunner {

    @Resource
    private SystemService systemService;

    @Override
    public void run(String... args) {
        try {
            log.info("runner-执行占用磁盘空间统计-开始 {}", Dates.current());
            // 不考虑多线程计算
            Threads.start(systemService::analysisSystemSpace);
            log.info("runner-执行占用磁盘空间统计-结束 {}", Dates.current());
        } catch (Exception e) {
            log.error("runner-执行占用磁盘空间统计-失败 {}", Dates.current(), e);
        }
    }

}
